Community mailing list archives

community@mail.odoo.com

Re: How to get started developing Odoo for beginners in Eclipse or Pycharm on Windows?‏‏

by
abrar
- 10/12/2015 01:15:52
Thank you guys for the suggestions. 


<span name="Eva Pinter @ xpansa" class="" style="font-size:12.8px">Eva Pinter & Dave Ellison,

I do have this book but my problem is not exactly mentioned in the book, because I am trying to setup the development environment with any IDE which was not mentioned . Kindly reread my question it will be a huge favor.

Regards.

On Thu, Oct 8, 2015 at 10:42 PM, Dave Ellison <dave.e@time-tele.com> wrote:

Hi,

Wonder if there is any plan to move to 3.x. Personally do not write anything in 2.x any more. My personal preference and I know many still use 2.x however.

Thanks
Dave

On 08/10/15 11:34, Jason / 崔建平 wrote:
<blockquote cite="mid:001b01d101a3$bfb03bf0$3f10b3d0$@qdodoo.com" type="cite">

Odoo is developed in Python 2.7 and you need to install the same in your developing environment as well.

 

Jason

Qingdao Odoo Team

 

From: bounce-3749679-mail.group-59@mail.odoo.com [mailto:bounce-3749679-mail.group-59@mail.odoo.com] On Behalf Of M. Abrar Khalid 1553-FBAS/BSSE/F11
Sent: Thursday, October 8, 2015 3:47 PM
To: Community <community@mail.odoo.com>
Subject: How to get started developing Odoo for beginners in Eclipse or Pycharm on Windows?‏‏

 

Hello guys,

I am searching from a while just to setup the environment for developing odoo. I have searched many blogs but the only one I found to be most detailed and easy for the beginners was this link.

https://www.odoo.com/nl_NL/forum/help-1/question/how-to-debug-odoo-in-eclipse-under-winows-36105

Now I have tried to debug Odoo ver. 7 and ver. 8.

I have installed Python 3.4.3.

Eclipse Mars.

Everything that was mentioned in the link was followed accordingly accept Python ver.2.7 and I am having the following error when I debug it. 

pydev debugger: starting (pid: 3060)

Traceback (most recent call last):

File "F:\Work Partition\IDE\eclipse\plugins\org.python.pydev_4.3.0.201508182223\pysrc\pydevd.py", line 2283, in <module>

    globals = debugger.run(setup['file'], None, None)

File "F:\Work Partition\IDE\eclipse\plugins\org.python.pydev_4.3.0.201508182223\pysrc\pydevd.py", line 1709, in run

    pydev_imports.execfile(file, globals, locals)  # execute the script

File "F:\Work Partition\IDE\eclipse\plugins\org.python.pydev_4.3.0.201508182223\pysrc\_pydev_imps\_pydev_execfile.py", line 18, in execfile

    exec(compile(contents+"\n", file, 'exec'), glob, loc)

File "F:\Work Partition\Workspaces\eclipse - mars\odooV7\openerp-server.py", line 2, in <module>

    import openerp

File "F:\Work Partition\Workspaces\eclipse - mars\odooV7\openerp\__init__.py", line 40, in <module>

    import cli

ImportError: No module named 'cli'

 

Regards.

 

 

Muhammad Abrar Khalid

International Islamic University, Islamabad.

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe


_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe




--


Muhammad Abrar Khalid
International Islamic University, Islamabad.
http://www.facebook.com/abrar.raja